file=$1
#file_name=$2
out=0

echo "<center> <H1> Third Party Copy  test summary</H1> </center>"
echo "<center> <H2> Green if Pull and Push tansfers have been completed successfully, Yellow if at least a Pull or a Push transfer have been completed successfully, Red if Pull and Push tansfers failed </center>"
echo "<center> <H2> (column Source, Raw Destination) </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\">"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p><b>$src_name</b></p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p><b>$src_name</b></p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			outputpush=$src_name-$dst_name-push-jobid-jobstatus
			#echo SILVIO $output
			statepush=$(cat jobstatus/$outputpush | grep State: | awk {'print $2'})
			reasonpush=$(cat jobstatus/$outputpush | grep Reason:)
			jobidpush=$(cat jobid/$src_name-$dst_name-push-jobid)
			#PULLL
			outputpull=$src_name-$dst_name-pull-jobid-jobstatus
			#echo SILVIO $output
			statepull=$(cat jobstatus/$outputpull | grep State: | awk {'print $2'})
			reasonpull=$(cat jobstatus/$outputpull | grep Reason:)
			jobidpull=$(cat jobid/$src_name-$dst_name-pull-jobid)

			if [[ $statepush == "FINISHED" && $statepull == "FINISHED" ]]; then
				echo "<td style=\"height: 18px; background-color: green;\">FINISEHD</td>"
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			elif [[ $statepush == "FAILED" && $statepull == "FAILED" ]]; then
				echo "<td style=\"height: 18px; background-color: red;\">ERROR</td>"
				
			elif [[ $statepush == "FINISHED" || $statepull == "FINISHED" ]]; then
				echo "<td style=\"height: 18px; background-color: yellow;\">One way FINISHED</td>"
			else 
				echo "<td style=\"height: 18px; background-color: red;\">1 test ERROR</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
file=$1
#file_name=$2
out=0

#### DETAILS ####
echo "<p><p> <center> <H1> PUSH TEST - DETAILS </center>"
echo "<center> <H2> (column Source, Raw Destination) </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\">"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p>$src_name</p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p>$src_name</p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			output=$src_name-$dst_name-push-jobid-jobstatus
			#echo SILVIO $output
			state=$(cat jobstatus/$output | grep State: | awk {'print $2'})
			reason=$(cat jobstatus/$output | grep Reason:)
			duration=$(cat jobstatus/$output | grep Duration:)
			jobid=$(cat jobid/$src_name-$dst_name-push-jobid)
			if [[ $state != "FINISHED" ]]; then
				if [[ $state != "NONE" ]]; then
					echo "<td style=\"height: 18px; background-color: amber;\"><p><a href="https://fts.usatlas.bnl.gov:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p>$reason</td>"
				else
					echo "<td style=\"height: 18px; background-color: amber;\"><p>$state</td>"
				fi	
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			else
				echo "<td style=\"height: 18px; background-color: green;\"><p><a href="https://fts.usatlas.bnl.gov:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p> $duration seconds</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
file=$1
#file_name=$2
out=0

#### DETAILS ####
echo "<p><p> <center> <H1> PULL TEST - DETAILS </center>"
echo "<center> <H2> (column Source, Raw Destination) </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\">"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p>$src_name</p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p>$src_name</p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			output=$src_name-$dst_name-pull-jobid-jobstatus
			#echo SILVIO $output
			state=$(cat jobstatus/$output | grep State: | awk {'print $2'})
			reason=$(cat jobstatus/$output | grep Reason:)
			duration=$(cat jobstatus/$output | grep Duration:)
			jobid=$(cat jobid/$src_name-$dst_name-pull-jobid)
			if [[ $state != "FINISHED" ]]; then
				if [[ $state != "NONE" ]]; then
					echo "<td style=\"height: 18px; background-color: amber;\"><p><a href="https://fts.usatlas.bnl.gov:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p>$reason</td>"
				else
					echo "<td style=\"height: 18px; background-color: amber;\"><p>$state</td>"
				fi	
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			else
				echo "<td style=\"height: 18px; background-color: green;\"><p><a href="https://fts.usatlas.bnl.gov:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p> $duration seconds</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
