#FTSSERVER="kek2-fts01.cc.kek.jp"
#FTSSERVER="fts.usatlas.bnl.gov"
file=$1
FTSSERVER=$2
#file_name=$2
out=0
today=$(date)
rm -r redo
echo "<title> Third Party Copy </title>"
echo "<center> <H1> Third Party Copy  test summary</H1> </center>"
echo "<center> <H1> FTS SERVER $FTSSERVER</H1> </center>"
echo "<center> <H1>  $today - <a href="https://people.na.infn.it/~spardi/tpc-davs-history.html">TEST HISTORY</a><</H1> </center>"
echo "<center> <H2> Green if Pull and Push tansfers have been completed successfully, Yellow if at least a Pull or a Push transfer have been completed successfully, Red if Pull and Push tansfers failed </center>"
echo "<center> <H2> DESTINATION </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\">"
echo "<th rowspan = "26" style="verticle-align: buttom" border=0><H2><b>S<p>O<p>U<p>R<p>C<p>E<p></b></H2></th>"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p><b>$src_name</b></p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p><b>$src_name</b></p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			outputpush=push-$src_name-$dst_name-jobid-jobstatus
			#echo SILVIO $output
			statepush=$(cat jobstatus/$outputpush | grep State: | awk {'print $2'})
			reasonpush=$(cat jobstatus/$outputpush | grep Reason:)
			jobidpush=$(cat jobid/push-$src_name-$dst_name-jobid)
			#PULLL
			outputpull=pull-$src_name-$dst_name-jobid-jobstatus
			#echo SILVIO $output
			statepull=$(cat jobstatus/$outputpull | grep State: | awk {'print $2'})
			reasonpull=$(cat jobstatus/$outputpull | grep Reason:)
			jobidpull=$(cat jobid/pull-$src_name-$dst_name-jobid)

			if [[ $statepush == "FINISHED" && $statepull == "FINISHED" ]]; then
				echo "<td style=\"height: 18px; background-color: green;\">FINISEHD</td>"
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			elif [[ $statepush == "FAILED" && $statepull == "FAILED" ]]; then
				echo "<td style=\"height: 18px; background-color: red;\">ERROR</td>"
				echo pull-$src_name-$dst_name >> redo
				echo push-$src_name-$dst_name >> redo
				
			elif [[ $statepush == "FINISHED" && $statepull == "FAILED" ]]; then
				echo "<td style=\"height: 18px; background-color: yellow;\">Push FINISHED</td>"
			elif [[ $statepush == "FAILED" && $statepull == "FINISHED" ]]; then
				echo "<td style=\"height: 18px; background-color: yellow;\">Pull FINISHED</td>"
			else 
				echo "<td style=\"height: 18px; background-color: red;\">1 test ERROR</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
file=$1
#file_name=$2
out=0

#### DETAILS ####
echo "<p><p> <center> <H1> PUSH TEST - DETAILS </center>"
echo "<center> <H2> DESTINATION </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\"  border=\"0\">"
echo "<th rowspan = "26" style="verticle-align: buttom" border=\"0\"><H2><b>S<p>O<p>U<p>R<p>C<p>E<p></b></H2></th>"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p>$src_name</p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p>$src_name</p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			output=push-$src_name-$dst_name-jobid-jobstatus
			#echo SILVIO $output
			state=$(cat jobstatus/$output | grep State: | awk {'print $2'})
			reason=$(cat jobstatus/$output | grep Reason:)
			duration=$(cat jobstatus/$output | grep Duration:)
			jobid=$(cat jobid/push-$src_name-$dst_name-jobid)
			if [[ $state != "FINISHED" ]]; then
				if [[ $state != "NONE" ]]; then
					echo "<td style=\"height: 18px; background-color: amber;\"><p><a href="https://$FTSSERVER:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p>$reason</td>"
				else
					echo "<td style=\"height: 18px; background-color: amber;\"><p>$state</td>"
				fi	
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			else
				echo "<td style=\"height: 18px; background-color: green;\"><p><a href="https://$FTSSERVER:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p> $duration seconds</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
file=$1
#file_name=$2
out=0

#### DETAILS ####
echo "<p><p> <center> <H1> PULL TEST - DETAILS </center>"
echo "<center> <H2> DESTINATION </center>"
echo "<table style=\"border-collapse: collapse; width: 100%; height: 150px;\" border=\"1\">"
echo "<tbody>"
echo "<tr style=\"height: 18px;\">"
echo "<th rowspan = "26" style="verticle-align: buttom" border=0><H2><b>S<p>O<p>U<p>R<p>C<p>E<p></b></H2></th>"
echo "<td style=\"height: 18px;\"></td>"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
	echo "<td style=\"width: 10%;height: 18px;\"><p>$src_name</p></td>"
done
echo "</tr>"
echo "<tr style=\"height: 18px;\">"
for i in $(cat $file) ; do
        src_name=$(echo $i | awk '{split($0,a,"#"); print a[1]}')
        src_url=$(echo $i | awk '{split($0,a,"#"); print a[2]}')
	echo "<td style=\"height: 18px;\"><p>$src_name</p></td>"
	for j in $(cat $file) ; do
		if [[ $i != $j ]]; then
	        	dst_name=$(echo $j | awk '{split($0,a,"#"); print a[1]}')
        	        dst_url=$(echo $j | awk '{split($0,a,"#"); print a[2]}')
			output=pull-$src_name-$dst_name-jobid-jobstatus
			#echo SILVIO $output
			state=$(cat jobstatus/$output | grep State: | awk {'print $2'})
			reason=$(cat jobstatus/$output | grep Reason:)
			duration=$(cat jobstatus/$output | grep Duration:)
			jobid=$(cat jobid/pull-$src_name-$dst_name-jobid)
			if [[ $state != "FINISHED" ]]; then
				if [[ $state != "NONE" ]]; then
					echo "<td style=\"height: 18px; background-color: amber;\"><p><a href="https://$FTSSERVER:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p>$reason</td>"
				else
					echo "<td style=\"height: 18px; background-color: amber;\"><p>$state</td>"
				fi	
				#echo "<td style=\"height: 18px;\"><p>$state<p>$reason</p></td>"
			else
				echo "<td style=\"height: 18px; background-color: green;\"><p><a href="https://$FTSSERVER:8449/fts3/ftsmon/#/job/$jobid" target="_blank" rel="noopener">$state</a><p> $duration seconds</td>"
			fi
		else
			echo "<td style=\"height: 18px; background-color: black;\"><p> </p></td>"
		fi
	done
	echo "</tr>"
done
echo "</tbody>"
echo "</table>"
